Bug 162383 - [PATCH] sysutils/smartmontools Remove cd* from the list of
[PATCH] sysutils/smartmontools Remove cd* from the list of
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
Depends on:
  Show dependency treegraph
Reported: 2011-11-08 20:00 UTC by dirk.meyer
Modified: 2011-12-02 06:06 UTC (History)
0 users

See Also:

file.diff (1.07 KB, patch)
2011-11-08 20:00 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2011-11-08 20:00:24 UTC
Initially cd* was just skipped in the checking loop.
This was broken in the last change, which resulted in this script exiting with status badconfig.
Now cd* is only removed when auto is used.
If cd* is specified manually, the script still exits with badconfig.

Fix: apply this patch:
Submitted by:	 Christoph Mallon

 sysutils/smartmontools/Makefile       |    2 +-
 sysutils/smartmontools/files/smart.in |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)
Comment 1 Edwin Groothuis freebsd_committer 2011-11-08 20:00:36 UTC
Maintainer of sysutils/smartmontools,

Please note that PR ports/162383 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2011-11-08 20:00:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter freebsd_committer 2011-12-01 20:53:40 UTC
dinoex      2011-12-01 20:53:31 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
    sysutils/smartmontools/files smart.in 
  - fix handling of cd*
  PR:             162383
  Submitted by:   Christoph Mallon
  Approved by:    (maintainer timeout)
  Feature safe:   yes
  Revision  Changes    Path
  1.56      +1 -1      ports/sysutils/smartmontools/Makefile
  1.12      +2 -3      ports/sysutils/smartmontools/files/smart.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2011-12-01 20:53:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

I will take care of followups.
Comment 5 Dirk Meyer freebsd_committer 2011-12-02 06:06:04 UTC
State Changed
From-To: feedback->closed

committed, thanks.